package com.plannaplan.responses.models;

import static org.junit.jupiter.api.Assertions.assertTrue;

import java.util.Arrays;
import java.util.List;

import com.plannaplan.entities.Groups;
import com.plannaplan.types.WeekDay;

import org.junit.Test;

public class GetCourseGroupResponseTest {

    @Test
    public void shouldMapListGroupsToResponse() {
        final List<Groups> groups = Arrays.asList(new Groups(32,"A1-1", null, 480, WeekDay.MONDAY, null), new Groups(150,"A1-2", null, 500, WeekDay.THURSDAY, null));
        
        final GetCourseGroupsResponse response = new GetCourseGroupsResponse(groups);
        assertTrue(response.getClasses().size() == 1);
        assertTrue(response.getLectures().size() == 1);
    }

}
